#! /bin/bash
#
# install script für Classroommanagement MAus
#
##################################################################

pfad="/home/samba/progs/maus/"
keyname="maus-key"

##################################################################

if [ "$(id -u)" != "0" ]; then
   echo "###################################"
   echo "# This script must be run as root #"
   echo "###################################"
   exit 1
fi

if [ -e "$pfad"maus.cfg ]; then
   echo "######################################"
   echo "# Das Programm ist schon installiert #"
   echo "# Installation wird abgebrochen      #"
   echo "######################################"
   exit 1
fi

apt-get -y install gksu suckless-tools wakeonlan

mkdir -p $pfad

ssh-keygen -t rsa -N '' -f "$pfad$keyname"
touch /root/.ssh/authorized_keys
cat "$pfad$keyname".pub >> /root/.ssh/authorized_keys
chmod 600 /root/.ssh/authorized_keys

sed -i".old" "s/\(AllowUsers.*\)/\1 root/"  /etc/ssh/sshd_config

echo "Dateien werden zum server kopiert ..."
cp startmaus $pfad
cp maus.cfg $pfad
cp maus.ico $pfad
cp maus.desktop $pfad

chown -R pgmadmin:teachers $pfad
chmod 640 "$pfad$keyname"
chmod 640 "$pfad$keyname".pub
chmod 644 "maus.cfg"
chmod 755 "$pfad"startmaus

echo "Dateien werden lokal kopiert ..."
cp maus.ico /usr/share/icons/
chmod 644 /usr/share/icons/maus.ico
cp maus.desktop /usr/share/applications/
chmod 755 /usr/share/applications/maus.desktop
mkdir -p /root/bin/
cp closed.xbm /root/bin/
cp sperren.sh /root/bin/
cp freigeben.sh /root/bin/
chmod 750 /root/bin/sperren.sh
chmod 750 /root/bin/freigeben.sh

exit 0

